%define oname json-c

%define major 0
%define libname %mklibname json %{major}

Summary:	JSON implementation in C (old version of library)
Name:		libjson0
Version:	0.9
Release:	4
License:	MIT
Group:		System/Libraries
Url:		http://oss.metaparadigm.com/%{oname}
Source0:	http://oss.metaparadigm.com/%{oname}/json-c-%{version}.tar.gz

%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	JSON implementation in C
Group:		System/Libraries

%description -n %{libname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%files -n %{libname}
%{_libdir}/libjson.so.%{major}*

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

# cleanup
rm -f %{buildroot}%{_libdir}/*.so
rm -rf %{buildroot}%{_includedir}/json
rm -f %{buildroot}%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 0.9-4
+ Revision: 6cfab55
- MassBuild#440: Increase release tag


